package com.hcloud.microservice.goods.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.hcloud.microservice.goods.facade.entity.GoodsLabel;

public interface GoodsLabelMapper {
    int deleteByPrimaryKey(String guid);

    int insert(GoodsLabel record);

    int insertSelective(GoodsLabel record);

    GoodsLabel selectByPrimaryKey(String guid);

    int updateByPrimaryKeySelective(GoodsLabel record);

    int updateByPrimaryKey(GoodsLabel record);
    
    /**
     *根据标签名称 查询产品标签信息
     * @author lym
     * @param labelName
     * @return
     */
    GoodsLabel selectGoodsLabelByLabelName(String labelName);
    
    /**
     * 查询产品关联标签信息
     * @author lym
     * @param goodsBatchGuid
     * @return
     */
    List<GoodsLabel> selectListBygoodsBatchGuid(@Param("goodsBatchGuid") String goodsBatchGuid);
    
    /**
     * 查询产品管理标签
     * @author lym
     * @param goodsBatchGuid
     * @return
     */
    String selectLabelNamesBygoodsBatchGuid(@Param("goodsBatchGuid") String goodsBatchGuid);
}