package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.entity.GoodsBatchGrade;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchGradeForm;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsBatchGradeService extends BaseServie<GoodsBatchGradeForm,String> {

    /**
     * 分页查询评价星级
     * @param gradeForm
     * @return
     */
    PageInfo searchBatchGradeByPage(GoodsBatchGradeForm gradeForm);

    /**
     * 获取商品评价信息列表
     * @param goodsBatchId
     * @param uid
     * @return
     */
    List<GoodsBatchGradeForm> getBatchGradeInfoByCond(String uid,String goodsBatchId);

    /**
     * 批量删除评价星级信息
     * @param pkList
     */
    int delBatchGradeInfo(List<String> pkList);
}
