package com.hcloud.microservice.goods.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.entity.GoodsDealer;
import com.hcloud.microservice.goods.facade.forms.GoodsDealerForm;

public interface GoodsDealerService extends BaseServie<GoodsDealer, String>{

	/**
     *  分页查询商品信息
     * @param goodsInfoForm
     * @return
     */
    PageInfo searchByPage(GoodsDealerForm goodsDealerForm);
    
    /**
	 * 获取最大编码
	 * @author lym
	 * @param orgGuid
	 * @return
	 */
    String getMaxCode();
    
    /**
     * 查询企业所有经销商
     * @author lym
     * @param orgGuid
     * @return
     */
    List<GoodsDealer> selectList(String orgGuid);
}
