package com.hcloud.microservice.goods.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.facade.entity.GoodsTracedUser ;
import com.hcloud.microservice.goods.facade.forms.GoodsTracedUserForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsTracedUserMapper extends BaseMapper<GoodsTracedUser,String> {
    /**
     * 分页查询溯源用户信息
     * @param pageBean
     * @return
     */
    List<GoodsTracedUser> searchTracedUserByPage(PageBean<GoodsTracedUserForm> pageBean);

    /**
     * 查询溯源用户信息，通过用户第三方编号
     * @param code
     * @return
     */
    GoodsTracedUser searchTracedUserByCode(@Param("code") String code,@Param("userOpenid") String userOpenid);
}