package com.hcloud.microservice.goods.service.impl;

import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeInfoForm;
import com.hcloud.microservice.goods.service.GoodsQRCodeInfoService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;

import static org.junit.Assert.*;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class GoodsQRCodeInfoServiceImplTest {

    @Autowired
    private GoodsQRCodeInfoService goodsQRCodeInfoService;

    @Test
    public void forbiddenCodeInfoByCodeId() {
        GoodsQRCodeInfoForm codeForm = new GoodsQRCodeInfoForm();
        codeForm.setGuid("8c2940003e5411e98964408d5c9b0a5c");
        codeForm.setModifiedUser("d9278d25e4a94ee5bfdc2b8433279ad1");
        codeForm.setModifiedTime(new Date());
        int i = goodsQRCodeInfoService.forbiddenCodeInfoByCodeId(codeForm);
        if(i>0){
            Assert.assertEquals(1,i);
        }
    }
}